package dalhelper

import (
	"corelab.mkcl.org/MKCLOS/coredevelopmentplatform/coreospackage/confighelper"

	"github.com/garyburd/redigo/redis"
)

//GetWorkPool ss
func GetWorkPool() *redis.Pool {
	var redisPool = &redis.Pool{
		MaxActive: 5,
		MaxIdle:   5,
		Wait:      true,
		Dial: func() (redis.Conn, error) {
			return redis.Dial("tcp", confighelper.GetConfig("REDISDSN"), redis.DialDatabase(3))
		},
	}
	return redisPool
}
