package dalhelper

import (
	"corelab.mkcl.org/MKCLOS/coredevelopmentplatform/coreospackage/filehelper"

	"time"
)

//GetDataFromFDB gets data from FDB
func GetDataFromFDB(filePath string) ([]byte, error) {
	data, err := filehelper.ReadFile(filePath)
	return data, err
}

//SaveDataToFDB saves data to FDB
func SaveDataToFDB(filePath string, data []byte) error {
	err := filehelper.WriteFile(filePath, data)
	return err
}

//DeleteFileFromFDB deletes file to FDB
func DeleteFileFromFDB(filePath string) error {
	newFilePath := filePath + "_deleted_" + time.Now().String()
	err := filehelper.RenameFile(filePath, newFilePath)
	return err
}
