package downloadhelper

//DownloadFile method
func DownloadFile(downloadURL string, downloadLocation string, noOfThreads int) bool {

	url, resHeader := GetFinalurl(downloadURL)

	var downloadStatus bool

	if AcceptRanges(resHeader) {

		NoOfFiles = noOfThreads
		DownloadLocation = downloadLocation
		downloadStatus = Download(url, GetContentLength(resHeader))
		return downloadStatus
	}

	downloadStatus = DownloadSingle(url)
	return downloadStatus

}

//ResumeFileDownload method
func ResumeFileDownload(downloadURL string, downloadLocation string) bool {

	DownloadLocation = downloadLocation

	url, resHeader := GetFinalurl(downloadURL)
	var resumeStatus bool
	if AcceptRanges(resHeader) {
		resumeStatus = Resume(url, GetContentLength(resHeader))
	}

	return resumeStatus
}
